.bubble {
    margin-bottom:10px;
    .bubble_inner {
        display:flex;
        flex-direction: row;
        
        .profile {
            margin-right:6px;
        }
        .talker {
            display:flex;
            flex-direction: column;
            position:relative;
            .info {
                display:flex;
                flex-direction: row;
                align-items: center;
                .name {
                    font-size:12px;
                    color:#fff;
                    line-height:20px;
                    font-weight:400;
                    letter-spacing: -0.5px;
                    margin-right:5px;
                }
                .date {
                    font-size:11px;
                    color:#999;
                    line-height:20px;
                    letter-spacing: -0.5px;
                    position:relative;
                }
                .btn {
                    font-size:11px;
                    line-height:20px;
                    position: relative;
                    padding-left:6px;
                    &::after {
                        content:'';
                        display:block;
                        width:2px;
                        height:2px;
                        background-color:#555;
                        border-radius:50%;
                        position:absolute;
                        left:3px;
                        top:50%;
                        transform: translateY(-50%);
                    }
                }
            }
            
            .contents {
                max-width:288px;
                width:auto;
                box-sizing: border-box;
                border-radius:20px;
                position:relative;
                &::before {
                    content:'';
                    display:block;
                    width:8px;
                    height:20px;
                    background-repeat: no-repeat;
                    background-size:100%;
                    position:absolute;
                    top:0;
                }
                    
                .contents_inner {
                    padding: 10px 15px;
                    color: #FFF;
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 20px; 
                    letter-spacing: -1px;
                }
                
                &.image {
                    max-width:100%;
                    width:auto;
                    padding-right:15px;
                    background:none;
                    &::before {
                        background:none;
                    }
                    .contents_inner {
                        padding:0;
                        border-radius:20px;
                        overflow:hidden;
                    }
                }
            }
            .reactions {
                position:absolute;
                left:0;
                top:0;
                &.receive {
                    position:static;
                    margin-top:5px;
                    padding-left:2px;
                    ul {
                        padding:0;
                        background-color:rgba(0,0,0,0);
                        li {
                            display:flex;
                            flex-direction: row;
                            margin-right:5px;
                            .reaction {
                                margin-right:2px;
                                width:20px;
                                height:20px;
                            }
                            .count {
                                color:#fff;
                                font-size:11px;
                                font-weight:400;
                                line-height:20px;
                                letter-spacing: -0.5px;
                            }
                            &.selected {
                                .count {
                                    color:#FFCA40;
                                }
                                &::after {
                                    display:none;
                                }
                            }
                        }
                    }
                }
                ul {
                    box-sizing: border-box;
                    padding:5px 10px;
                    width:fit-content;
                    border-radius: 15px;
                    background: #222;
                    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.70);
                    display:flex;
                    flex-direction: row;
                    align-items: center;
                    li {
                        margin-right:6px;
                        position:relative;
                        .reaction {
                            width:24px;
                            height:24px;
                            background-repeat: no-repeat;
                            background-size:100%;
                            font-size:0;
                            line-height:0;
                            text-indent:-9999px;
                            vertical-align: top;
                            &.reaction01 {
                                background-image:url('../../../assets/img/reactions/btn_emoji1.svg');
                            }
                            &.reaction02 {
                                background-image:url('../../../assets/img/reactions/btn_emoji2.svg');
                            }
                            &.reaction03 {
                                background-image:url('../../../assets/img/reactions/btn_emoji3.svg');
                            }
                        }
                        &:last-child {
                            margin-right:0;
                        }
                        &.selected::after {
                            content:'';
                            display:block;
                            width:28px;
                            height:28px;
                            background-color:#fff;
                            opacity:0.2;
                            border-radius:10px;
                            position:absolute;
                            left:-2px;
                            top:-2px;
                        }
                    }
                }
            }
        }
    }
    .me {
        justify-content: flex-end;
        .info {
            justify-content: flex-end;
        }
        .contents {
            background-color:#004280;
            &::before {
                background-image:url('../../../assets/img/icon/ico_bubble_me.svg');
                right:-2px;
                left:auto;
            }
        }
    }
    .others {
        .contents {
            background-color:#222;
            &::before {
                background-image:url('../../../assets/img/icon/ico_bubble_others.svg');
                left:-2px;
                right:auto;
            }
        }
    }
    
    .deleted, .reported {
        .contents_inner {
            opacity:0.5;
        }
    }
    .modal.detail_image {
        width:100%;
        height:100%;
        background-color:#000;
        position:fixed;
        left:0;
        top:0;
        right:0;
        bottom:0;
        z-index:20;
        .modal_header {
            width:100%;
            position:absolute;
            left:0;
            top:0;
            .title {
                padding:11px 0;
                justify-content: center;
                flex-direction: column;
                .nickname {
                    overflow: hidden;
                    color: #FFF;
                    text-overflow: ellipsis;
                    font-family: "SCDream";
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 24px;
                    letter-spacing: -1px;
                }
                .time {
                    color: #999;
                    font-size: 13px;
                    font-weight: 400;
                    line-height: 16px;
                    letter-spacing: -1px;
                }
            }
            .btn.close {
                position:absolute;
                left:15px;
                top:19px;
            }
        }
        .modal_body {
            width:100%;
            height:100%;
            display:flex;
            justify-content: center;
            align-items: center;
        }
    }
}